<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Modifica Viaggio</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Amministratore/Immagini_Amministratore/logo.png">
</head>
<body>
<header>
    <a href="https://truckmanagement.altervista.org/Lato_Amministratore/Amministratore/Area_Amministratore.html"><button class="bottone_home primary">Home</button></a>
    <h1>Modifica Viaggio</h1>
    <img id="logo" src="../../Lato_Amministratore/Immagini_Amministratore/logo.png" alt="Logo">
</header>
<br><br><br><br><br>
    <div class="container">
        <div class="user-details">
            <form action="Aggiornamento.php" method="post">
                <table class="table">
                    <tr>
                        <th>Destinazione</th>
                        <th>Data Partenza</th>
                        <th>Ora Partenza</th>
                        <th>Data Arrivo</th>
                        <th>Ora Arrivo</th>
                        <th>Kilometri percorrere</th>
                        <th>Costo Previsto</th>
                        <th>Camion</th>
                    </tr>
                    <?php
                    // Connessione al database
                    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
                    if ($conn->connect_error) {
                        die("Connessione al database fallita: " . $conn->connect_error);
                    }

                    // Recupera l'ID del viaggio dalla query string
                    $id_viaggio = $_GET['id'];

                    // Query per recuperare i dati del viaggio
                    $sql_viaggio = "SELECT * FROM viaggio WHERE IDViaggio = $id_viaggio";
                    $result_viaggio = $conn->query($sql_viaggio);

                    if ($result_viaggio->num_rows > 0) {
                        $row = $result_viaggio->fetch_assoc();
                        // Query per recuperare i camion non associati ad altri viaggi
                        $sql_camion = "SELECT IDCamion, Modello FROM camion WHERE IDCamion NOT IN (SELECT DISTINCT IDCamion FROM viaggio WHERE IDViaggio != $id_viaggio)";
                        $result_camion = $conn->query($sql_camion);

                        // Mostra il modulo per la modifica dei dati del viaggio
                        echo "<tr>";
                        echo "<input type='hidden' name='id_viaggio' value='" . $id_viaggio . "'>";
                        echo "<td><input type='text' name='destinazione' value='{$row['Destinazione']}'></td>";
                        echo "<td><input type='date' name='data_partenza' value='{$row['Data_Partenza']}'></td>";
                        echo "<td><input type='time' name='ora_partenza' value='{$row['Ora_Partenza']}'></td>";
                        echo "<td><input type='date' name='data_arrivo' value='{$row['Data_Arrivo']}'></td>";
                        echo "<td><input type='time' name='ora_arrivo' value='{$row['Ora_Arrivo']}'></td>";
                        echo "<td><input type='text' name='kilometri_percorrere' value='{$row['Kilometri_percorrere']}'></td>";
                        echo "<td><input type='text' name='costo_previsto' value='{$row['Costo_Previsto']}'></td>";
                        echo "<td>";
                        echo "<select name='idcamion'>";
                        // Stampa le opzioni per i camion non associati ad altri viaggi
                        while ($row_camion = $result_camion->fetch_assoc()) {
                            $selected = ($row['IDCamion'] == $row_camion['IDCamion']) ? 'selected' : '';
                            echo "<option value='{$row_camion['IDCamion']}' $selected>{$row_camion['Modello']}</option>";
                        }
                        echo "</select>";
                        echo "</td>";
                        echo "</tr>";
                    } else {
                        echo "<tr><td colspan='8'>Nessun viaggio trovato con ID: $id_viaggio</td></tr>";
                    }
                    ?>
                    <tr>
                       <td colspan="8" align="center">
                           <input type="submit" class="button2 primary" value="Aggiorna">
                       </td>
                   </tr>
                </table>
            </form>
        </div>
    </div>
</body>
</html>
