<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Modifica Utenti</title>
    <link rel="stylesheet" type="text/css" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Amministratore/Immagini_Amministratore/logo.png">
</head>
<body>
<header>
    <a href="https://truckmanagement.altervista.org/Lato_Amministratore/Amministratore/Area_Amministratore.html"><button class="bottone_home primary">Home</button></a>
    <h1>Modifica Utenti</h1>
    <img id="logo" src="../../Lato_Amministratore/Immagini_Amministratore/logo.png" alt="Logo">
</header>
<br><br><br><br><br>
    <div class="container">
            <table class="table">
                <thead>
                    <tr>
                        <th>Nome e Cognome</th>
                        <th>Ruolo</th>
                        <th>Azioni</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    // Connessione al database
                    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
                    if ($conn->connect_error) {
                        die("Connessione al database fallita: " . $conn->connect_error);
                    }

                    // Query per recuperare i nomi e cognomi degli utenti in ordine alfabetico con la descrizione del ruolo
                    $sql = "SELECT utente.IDUtente, utente.Nome, utente.Cognome, ruolo.Descrizione_ruolo 
                            FROM utente 
                            INNER JOIN ruolo ON utente.IDRuolo = ruolo.IDRuolo 
                            ORDER BY utente.Nome ASC";
                    $result = $conn->query($sql);

                    if ($result->num_rows > 0) {
                        // Stampa le righe della tabella con i dati degli utenti
                        while ($row = $result->fetch_assoc()) {
                            echo "<tr>";
                            echo "<td>{$row['Nome']} {$row['Cognome']}</td>";
                            echo "<td>{$row['Descrizione_ruolo']}</td>";
                            echo "<td><a href='Interroga.php?id={$row['IDUtente']}'><button class='button primary'>Modifica</button></a></td>";
                            echo "</tr>";
                        }
                    } else {
                        echo "<tr><td colspan='3'>Nessun utente trovato.</td></tr>";
                    }

                    // Chiusura della connessione al database
                    $conn->close();
                    ?>
                </tbody>
            </table>
        </div>
    </div>
</body>
</html>
