<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Rimorchio</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Amministratore/Immagini_Amministratore/logo.png">
</head>
<body>

<header>
  <a href="https://truckmanagement.altervista.org/Lato_Amministratore/Amministratore/Area_Amministratore.html"><button class="bottone_home primary">Home</button></a>
    <h1>Visualizzazione Rimorchio</h1>
   <img id="logo" src="../../Lato_Amministratore/Immagini_Amministratore/logo.png" alt="Logo">
</header>
<br><br><br><br>
<div class="container">
    <?php
    // Connessione al database
    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
    if ($conn->connect_errno) {
        echo "Impossibile connettersi al server!";
        exit;
    }

// Query per ottenere i dati dei rimorchi
   $sql = "SELECT rimorchi.IDRimorchio, rimorchi.Targa_Rimorchio, tipologia_rimorchi.Tipo_Rimorchio 
           FROM rimorchi, tipologia_rimorchi 
           WHERE rimorchi.IDTipologia_Rimorchi = tipologia_rimorchi.IDTipologia_Rimorchi;";

    $result = $conn->query($sql);
    $conta = $result->num_rows;
    if ($conta > 0) {
    // Creazione della tabella per visualizzare i dati dei rimorchi 
        echo "<table class='table'>"; // Utilizzo della classe 'table' per le tabelle
        echo "<tr>";
        echo "<th>Targa Rimorchio</th>";
        echo "<th>Tipo Rimorchio</th>"; 
        echo "<th>Azioni</th>"; // Aggiunta della colonna per le azioni
        echo "</tr>";

// Popolamento della tabella con i dati dei rimorchi
        while ($row = $result->fetch_assoc()) {
            echo "<tr>";
            echo "<td>" . $row['Targa_Rimorchio'] . "</td>";
            echo "<td>" . $row['Tipo_Rimorchio'] . "</td>";
            
            // Aggiungi la colonna con il pulsante per la cancellazione con conferma
            echo "<td><form action='Cancellazione_Rimorchio.php' method='post' onsubmit=\"return confirm('Sei sicuro di voler cancellare questo rimorchio?');\">
                    <input type='hidden' name='IDRimorchio' value='" . $row['IDRimorchio'] . "'>
                    <input type='submit' class='button secondary' value='Cancella'>
                  </form></td>";
            echo "</tr>";
        }

        echo "</table>";
        $result->free();
    } else {
        echo "<br><br><br><br><b>Non ci sono rimorchi!</b>";
    }

// Chiusura della connessione al database 
    $conn->close();
    ?>
</div>

</body>
</html>
