<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Modifica Utenti</title>
    <link rel="stylesheet" type="text/css" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Autista/Immagini_Autista/logo.png">
</head>
<body>
<header>
    <a href="https://truckmanagement.altervista.org/Lato_Autista/Area_Autista/Area_Autista.html"><button class="bottone_home primary">Home</button></a>
    <h1>Modifica Utenti</h1>
    <img id="logo" src="../../Lato_Autista/Immagini_Autista/logo.png" alt="Logo">
</header>
<br><br><br><br><br>
    <div class="container">
            <table class="table">
                <thead>
                    <tr>
                        <th>Nome e Cognome</th>
                        <th>Password</th>
                        <th>Azioni</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
session_start(); // Avvia la sessione

// Controlla se l'utente è loggato
if(!isset($_SESSION['IDUtente'])) {
    // Se l'utente non è loggato, reindirizzalo alla pagina di accesso
    header("Location: login.php");
    exit(); // Assicura che lo script si interrompa qui per evitare esecuzione aggiuntiva
}

// Ottieni l'IDUtente dall'array di sessione
$IDUtente = $_SESSION['IDUtente'];

// Connessione al database
$conn = new mysqli("localhost", "root", "", "my_truckmanagement");
if ($conn->connect_error) {
    die("Connessione al database fallita: " . $conn->connect_error);
}

// Query per recuperare il nome, il cognome e il ruolo dell'utente corrente
$sql = "SELECT utente.Nome, utente.Cognome, ruolo.Descrizione_ruolo 
        FROM utente 
        INNER JOIN ruolo ON utente.IDRuolo = ruolo.IDRuolo 
        WHERE utente.IDUtente = $IDUtente";
$result = $conn->query($sql);

if ($result->num_rows == 1) {
    // Visualizza solo i dati dell'utente corrente
    $row = $result->fetch_assoc();
    echo "<tr>";
    echo "<td>{$row['Nome']} {$row['Cognome']}</td>";
    echo "<td>{$row['Descrizione_ruolo']}</td>";
    echo "<td><a href='Interroga.php?id={$IDUtente}'><button class='button primary'>Modifica</button></a></td>";
    echo "</tr>";
} else {
    echo "<tr><td colspan='3'>Nessun utente trovato.</td></tr>";
}

// Chiudere la connessione al database
$conn->close();
?>
                </tbody>
            </table>
        </div>
</body>
</html>