<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inserimento Utenti</title>
    <link rel="stylesheet" href="stile_tabella_lunga.css">
    <link rel="icon" type="image/png" href="../../Lato_Direttore/Immagini_Direttore/logo.png">
</head>
<body>
    <header>
        <!-- Link alla home page -->
        <a href="https://truckmanagement.altervista.org/Lato_Direttore/Area_Direttore/Area_Direttore.html"><button class="bottone_home primary">Home</button></a>

        <!-- Titolo della pagina -->
        <h1>Inserimento Utenti</h1>
        
        <!-- Logo -->
        <img id="logo" src="../../Lato_Direttore/Immagini_Direttore/logo.png" alt="Logo">
    </header>
    
    <br><br><br><br><br>
    <div class="container">
        <?php
        // Verifica che il metodo della richiesta sia POST
        if ($_SERVER["REQUEST_METHOD"] == "POST") {
            // Connessione al database
            $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
            
            // Controlla se la connessione al database ha avuto successo
            if ($conn->connect_errno) {
                echo "Impossibile connettersi al server: " . $conn->connect_error;
                exit;
            }

            // Recupera i valori inviati dal form
            $Nome = $_POST['Nome'];
            $Cognome = $_POST['Cognome'];
            $Data_nascita = $_POST['Data_nascita'];
            $Telefono = $_POST['Telefono'];
            $Email = $_POST['Email'];
            $Username = $_POST['Username'];
            $Password = md5($_POST['Password']); // Cripta la password con MD5
            $IDRuolo = $_POST['IDRuolo'];

            // Query SQL per inserire un nuovo utente nel database
            $sql = "INSERT INTO utente (IDRuolo, Nome, Cognome, Data_nascita, Telefono, Email, Username, Password) ";
            $sql .= "VALUES ('$IDRuolo', '$Nome', '$Cognome', '$Data_nascita', '$Telefono', '$Email', '$Username', '$Password')";
            $result = $conn->query($sql);

            // Controlla se l'inserimento è andato a buon fine
            if ($result) {
                echo "<script>";
                echo "alert('Inserimento avvenuto con successo');";
                echo "setTimeout(function(){ window.location.href = 'https://truckmanagement.altervista.org/Lato_Direttore/Area_Direttore/Area_Direttore.html'; }, 1000);"; // Reindirizza alla pagina precedente dopo 1 secondo
                echo "</script>";
            } else {
                echo "<script>";
                echo "alert('Errore nell\'inserimento. Si prega di riprovare più tardi.');";
                echo "</script>";
            }
            $conn->close(); // Chiude la connessione al database
        }
        ?>
        <!-- Form per l'inserimento dei dati dell'utente -->
        <form action="Inserimento_Utente.php" method="post">
            <table class="table" align="center">
                <tr>
                    <th><label for="Nome">Nome:</label></th>
                    <th><label for="Cognome">Cognome:</label></th>
                    <th><label for="Data_nascita">Data di nascita:</label></th>
                    <th><label for="Telefono">Telefono:</label></th>
                    <th><label for="Email">Email:</label></th>
                    <th><label for="Username">Username:</label></th>
                    <th><label for="Password">Password:</label></th>
                    <th><label for="IDRuolo">Ruolo:</label></th>
                </tr>
                <tr>
                    <td><input type="text" id="Nome" name="Nome"></td>
                    <td><input type="text" id="Cognome" name="Cognome"></td>
                    <td><input type="date" id="Data_nascita" name="Data_nascita"></td>
                    <td><input type="text" id="Telefono" name="Telefono"></td>
                    <td><input type="text" id="Email" name="Email"></td>
                    <td><input type="text" id="Username" name="Username"></td>
                    <td><input type="password" id="Password" name="Password"></td>
                    <td>
                        <!-- Select per scegliere il ruolo dell'utente -->
                        <select id="IDRuolo" name="IDRuolo">
                            <?php
                            // Connessione al database
                            $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
                            if ($conn->connect_errno) {
                                echo "Impossibile connettersi al server: " . $conn->connect_error;
                                exit;
                            }

                            // Query per recuperare le Descrizione_ruolo e gli IDRuolo dalla tabella ruolo
                            $sqlRuoli = "SELECT IDRuolo, Descrizione_ruolo FROM ruolo";
                            $resultRuoli = $conn->query($sqlRuoli);

                            //Le opzioni della select con le Descrizione_ruolo, associando ogni Descrizione_Ruolo all'IDRuolo corrispondente
                            if ($resultRuoli->num_rows > 0) {
                                while ($rowRuolo = $resultRuoli->fetch_assoc()) {
                                    echo "<option value='" . $rowRuolo['IDRuolo'] . "'>" . $rowRuolo['Descrizione_ruolo'] . "</option>";
                                }
                            }
                            ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <!-- Pulsanti per inviare o resettare il form -->
                    <td colspan="9" align="center">
                        <input type="submit" class="button2 primary" value="Invia">
                        <input type="reset" class="button primary" value="Reset">
                    </td>
                </tr>
            </table>
        </form>
    </div>
</body>
</html>
