<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Camion</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Responsabile_della_Sicurezza/Immagini_Responsabile_della_Sicurezza/logo.png">
</head>
<body>

<header>
    <a href="https://truckmanagement.altervista.org/Lato_Responsabile_della_Sicurezza/Area_Responsabile_della_Sicurezza/Lato_Responsabile_della_Sicurezza.html"><button class="bottone_home primary">Home</button></a>
    <h1>Visualizzazione Camion</h1>
    <img id="logo" src="../../Lato_Responsabile_della_Sicurezza/Immagini_Responsabile_della_Sicurezza/logo.png" alt="Logo">
</header>
<br><br><br><br>
<div class="container">
    <?php
    // Connessione al database
    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
    if ($conn->connect_errno) {
        echo "Impossibile connettersi al server!";
        exit;
    }
    
    // Query SQL per selezionare i dati dei camion e dei relativi rimorchi e stati di manutenzione
    $sql = "SELECT camion.IDCamion, camion.Targa, camion.Modello, stato_manutenzione.Descrizione_Stato_Manutenzione, rimorchi.Targa_Rimorchio, tipologia_rimorchi.Tipo_Rimorchio 
        FROM camion
        JOIN rimorchi ON camion.IDRimorchio = rimorchi.IDRimorchio
        JOIN tipologia_rimorchi ON rimorchi.IDTipologia_Rimorchi = tipologia_rimorchi.IDTipologia_Rimorchi
        LEFT JOIN manutenzione ON camion.IDCamion = manutenzione.IDCamion
        LEFT JOIN stato_manutenzione ON manutenzione.IDStato_Manutenzione = stato_manutenzione.IDStato_Manutenzione";

    // Esecuzione della query
    $result = $conn->query($sql);
    if ($result) {
        if ($result->num_rows > 0) {
        // Creazione della tabella per visualizzare i dati
            echo "<table class='table'>"; // Utilizzo della classe 'table' per le tabelle
            echo "<tr>";
            echo "<th>Targa</th>";
            echo "<th>Modello</th>";
            echo "<th>Targa Rimorchio</th>";
            echo "<th>Tipo Rimorchio</th>";
            echo "<th>Descrizione Stato Manutenzione</th>";
            echo "</tr>";

// Popolamento della tabella con i dati risultati della query 
            while ($row = $result->fetch_assoc()) {
                echo "<tr>";
                echo "<td>" . $row['Targa'] . "</td>";
                echo "<td>" . $row['Modello'] . "</td>";
                echo "<td>" . $row['Targa_Rimorchio'] . "</td>";
                echo "<td>" . $row['Tipo_Rimorchio'] . "</td>";
                echo "<td>" . $row['Descrizione_Stato_Manutenzione'] . "</td>";
                echo "</tr>";
            }

            echo "</table>";
            $result->free();
        } else {
            echo "<br><br><br><br><b>Non ci sono camion!</b>";
        }
    } else {
        echo "Errore nella query: " . $conn->error;
    }

// Chiusura della connessione al database
    $conn->close();
    ?>
</div>

</body>
</html>
