-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Creato il: Giu 06, 2024 alle 08:39
-- Versione del server: 8.0.32
-- Versione PHP: 8.0.22

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `my_truckmanagement`
--

-- --------------------------------------------------------

--
-- Struttura della tabella `camion`
--

CREATE TABLE `camion` (
  `IDCamion` int NOT NULL,
  `Targa` varchar(7) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Modello` varchar(20) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `IDRimorchio` int DEFAULT NULL,
  `IDUtente` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `camion`
--

INSERT INTO `camion` (`IDCamion`, `Targa`, `Modello`, `IDRimorchio`, `IDUtente`) VALUES
(38, 'CJS483F', 'Scania R620', 15, 47);

-- --------------------------------------------------------

--
-- Struttura della tabella `fermate`
--

CREATE TABLE `fermate` (
  `IDFermate` int NOT NULL,
  `Luoghi_Fermate` varchar(20) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Motivo` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Tempo_Fermata` time NOT NULL,
  `IDViaggio` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `fermate`
--

INSERT INTO `fermate` (`IDFermate`, `Luoghi_Fermate`, `Motivo`, `Tempo_Fermata`, `IDViaggio`) VALUES
(21, 'Milano', 'Riposo', '03:00:00', 33);

-- --------------------------------------------------------

--
-- Struttura della tabella `manutenzione`
--

CREATE TABLE `manutenzione` (
  `IDManutenzione` int NOT NULL,
  `Descrizione` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Data_Inizio` date DEFAULT NULL,
  `Data_Fine` date DEFAULT NULL,
  `IDStato_Manutenzione` int DEFAULT NULL,
  `IDCamion` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `manutenzione`
--

INSERT INTO `manutenzione` (`IDManutenzione`, `Descrizione`, `Data_Inizio`, `Data_Fine`, `IDStato_Manutenzione`, `IDCamion`) VALUES
(27, 'Guasto al motore', '2024-05-16', '2024-05-19', 3, 38);

-- --------------------------------------------------------

--
-- Struttura della tabella `rimorchi`
--

CREATE TABLE `rimorchi` (
  `IDRimorchio` int NOT NULL,
  `Targa_Rimorchio` varchar(7) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `IDTipologia_Rimorchi` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `rimorchi`
--

INSERT INTO `rimorchi` (`IDRimorchio`, `Targa_Rimorchio`, `IDTipologia_Rimorchi`) VALUES
(15, 'CK318UV', 1),
(16, 'FC472TZ', 4),
(17, 'CV802PU', 9);

-- --------------------------------------------------------

--
-- Struttura della tabella `ruolo`
--

CREATE TABLE `ruolo` (
  `IDRuolo` int NOT NULL,
  `Descrizione_ruolo` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `ruolo`
--

INSERT INTO `ruolo` (`IDRuolo`, `Descrizione_ruolo`) VALUES
(1, 'Autista'),
(2, 'Meccanico'),
(3, 'Responsabile della sicurezza '),
(4, 'Direttore'),
(5, 'Amministratore ');

-- --------------------------------------------------------

--
-- Struttura della tabella `stato_manutenzione`
--

CREATE TABLE `stato_manutenzione` (
  `IDStato_Manutenzione` int NOT NULL,
  `Descrizione_Stato_Manutenzione` varchar(20) COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `stato_manutenzione`
--

INSERT INTO `stato_manutenzione` (`IDStato_Manutenzione`, `Descrizione_Stato_Manutenzione`) VALUES
(1, 'Fermo'),
(2, 'In corso'),
(3, 'Concluso');

-- --------------------------------------------------------

--
-- Struttura della tabella `stato_viaggio`
--

CREATE TABLE `stato_viaggio` (
  `IDStato_Viaggio` int NOT NULL,
  `Descrizione_Stato_Viaggio` varchar(20) COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `stato_viaggio`
--

INSERT INTO `stato_viaggio` (`IDStato_Viaggio`, `Descrizione_Stato_Viaggio`) VALUES
(1, 'Fermo'),
(2, 'In sosta'),
(3, 'In corso'),
(4, 'Concluso');

-- --------------------------------------------------------

--
-- Struttura della tabella `tipologia_rimorchi`
--

CREATE TABLE `tipologia_rimorchi` (
  `IDTipologia_Rimorchi` int NOT NULL,
  `Tipo_Rimorchio` varchar(30) COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `tipologia_rimorchi`
--

INSERT INTO `tipologia_rimorchi` (`IDTipologia_Rimorchi`, `Tipo_Rimorchio`) VALUES
(1, 'Frigorifero'),
(2, 'Pianale '),
(3, 'Ribaltabile '),
(4, 'Portaauto'),
(5, 'Trasporto animali vivi'),
(6, 'Furgonato'),
(7, 'Porta container'),
(8, 'Cisterna '),
(9, 'Trasporto rifiuti'),
(10, 'Trasporto di imbarcazioni');

-- --------------------------------------------------------

--
-- Struttura della tabella `utente`
--

CREATE TABLE `utente` (
  `IDUtente` int NOT NULL,
  `IDRuolo` int DEFAULT NULL,
  `Nome` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Cognome` varchar(20) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Data_nascita` date DEFAULT NULL,
  `Telefono` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Email` varchar(35) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Username` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `Password` varchar(35) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `utente`
--

INSERT INTO `utente` (`IDUtente`, `IDRuolo`, `Nome`, `Cognome`, `Data_nascita`, `Telefono`, `Email`, `Username`, `Password`) VALUES
(47, 1, 'Marco', 'Rossi', '2001-07-11', '2723921748', 'Marcorossi11@gmail.com', 'Username1', '2ac9cb7dc02b3c0083eb70898e549b63'),
(48, 2, 'Luca', 'Bianchi', '1991-05-17', '7323628235', 'Lucabianchi17@gmail.com', 'Username2', '6f9dff5af05096ea9f23cc7bedd65683'),
(49, 3, 'Alfonso', 'Silvestri', '1988-04-22', '2737362813', 'Alfonsosilvestri22@gmail.com', 'Username3', '874fcc6e14275dde5a23319c9ce5f8e4'),
(50, 4, 'Gabriele', 'Della Monica', '1976-11-15', '2829281894', 'Gabrielemonica15@gmail.com', 'Username4', 'b025a0d0ec287ba8ad0d90f4ff69158f'),
(51, 5, 'Armando', 'Casanova', '1979-09-21', '2836428473', 'Armandocasanova21gmail.com', 'Username5', '7df5222fb59b99c7c598bee2ef00b85e'),
(53, 4, 'Antonio', 'Maiorino', '2022-02-10', '3394956123', 'antoniom@gmail.com', 'qqq', '099b3b060154898840f0ebdfb46ec78f');

-- --------------------------------------------------------

--
-- Struttura della tabella `viaggio`
--

CREATE TABLE `viaggio` (
  `IDViaggio` int NOT NULL,
  `Destinazione` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `Data_Partenza` date DEFAULT NULL,
  `Ora_Partenza` time DEFAULT NULL,
  `Data_Arrivo` date DEFAULT NULL,
  `Ora_Arrivo` time DEFAULT NULL,
  `Kilometri_percorrere` float DEFAULT NULL,
  `IDStato_Viaggio` int DEFAULT NULL,
  `Costo_Previsto` float DEFAULT NULL,
  `IDCamion` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `viaggio`
--

INSERT INTO `viaggio` (`IDViaggio`, `Destinazione`, `Data_Partenza`, `Ora_Partenza`, `Data_Arrivo`, `Ora_Arrivo`, `Kilometri_percorrere`, `IDStato_Viaggio`, `Costo_Previsto`, `IDCamion`) VALUES
(33, 'Barcellona', '2024-05-13', '06:00:00', '2024-05-15', '10:30:00', 1556, 1, 1000, 38);

--
-- Indici per le tabelle scaricate
--

--
-- Indici per le tabelle `camion`
--
ALTER TABLE `camion`
  ADD PRIMARY KEY (`IDCamion`),
  ADD KEY `IDRimorchio` (`IDRimorchio`),
  ADD KEY `IDUtente` (`IDUtente`);

--
-- Indici per le tabelle `fermate`
--
ALTER TABLE `fermate`
  ADD PRIMARY KEY (`IDFermate`),
  ADD KEY `IDViaggio` (`IDViaggio`);

--
-- Indici per le tabelle `manutenzione`
--
ALTER TABLE `manutenzione`
  ADD PRIMARY KEY (`IDManutenzione`),
  ADD KEY `IDStato_Manutenzione` (`IDStato_Manutenzione`),
  ADD KEY `IDCamion` (`IDCamion`);

--
-- Indici per le tabelle `rimorchi`
--
ALTER TABLE `rimorchi`
  ADD PRIMARY KEY (`IDRimorchio`),
  ADD KEY `IDTipologia_Rimorchi` (`IDTipologia_Rimorchi`);

--
-- Indici per le tabelle `ruolo`
--
ALTER TABLE `ruolo`
  ADD PRIMARY KEY (`IDRuolo`);

--
-- Indici per le tabelle `stato_manutenzione`
--
ALTER TABLE `stato_manutenzione`
  ADD PRIMARY KEY (`IDStato_Manutenzione`);

--
-- Indici per le tabelle `stato_viaggio`
--
ALTER TABLE `stato_viaggio`
  ADD PRIMARY KEY (`IDStato_Viaggio`);

--
-- Indici per le tabelle `tipologia_rimorchi`
--
ALTER TABLE `tipologia_rimorchi`
  ADD PRIMARY KEY (`IDTipologia_Rimorchi`);

--
-- Indici per le tabelle `utente`
--
ALTER TABLE `utente`
  ADD PRIMARY KEY (`IDUtente`),
  ADD KEY `IDRuolo` (`IDRuolo`),
  ADD KEY `IDRuolo_2` (`IDRuolo`);

--
-- Indici per le tabelle `viaggio`
--
ALTER TABLE `viaggio`
  ADD PRIMARY KEY (`IDViaggio`),
  ADD KEY `IDStato_Viaggio` (`IDStato_Viaggio`),
  ADD KEY `IDCamion` (`IDCamion`);

--
-- AUTO_INCREMENT per le tabelle scaricate
--

--
-- AUTO_INCREMENT per la tabella `camion`
--
ALTER TABLE `camion`
  MODIFY `IDCamion` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=39;

--
-- AUTO_INCREMENT per la tabella `fermate`
--
ALTER TABLE `fermate`
  MODIFY `IDFermate` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;

--
-- AUTO_INCREMENT per la tabella `manutenzione`
--
ALTER TABLE `manutenzione`
  MODIFY `IDManutenzione` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=28;

--
-- AUTO_INCREMENT per la tabella `rimorchi`
--
ALTER TABLE `rimorchi`
  MODIFY `IDRimorchio` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

--
-- AUTO_INCREMENT per la tabella `ruolo`
--
ALTER TABLE `ruolo`
  MODIFY `IDRuolo` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT per la tabella `stato_manutenzione`
--
ALTER TABLE `stato_manutenzione`
  MODIFY `IDStato_Manutenzione` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT per la tabella `stato_viaggio`
--
ALTER TABLE `stato_viaggio`
  MODIFY `IDStato_Viaggio` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT per la tabella `tipologia_rimorchi`
--
ALTER TABLE `tipologia_rimorchi`
  MODIFY `IDTipologia_Rimorchi` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT per la tabella `utente`
--
ALTER TABLE `utente`
  MODIFY `IDUtente` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=54;

--
-- AUTO_INCREMENT per la tabella `viaggio`
--
ALTER TABLE `viaggio`
  MODIFY `IDViaggio` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=34;

--
-- Limiti per le tabelle scaricate
--

--
-- Limiti per la tabella `camion`
--
ALTER TABLE `camion`
  ADD CONSTRAINT `camion_ibfk_1` FOREIGN KEY (`IDRimorchio`) REFERENCES `rimorchi` (`IDRimorchio`),
  ADD CONSTRAINT `camion_ibfk_2` FOREIGN KEY (`IDUtente`) REFERENCES `utente` (`IDUtente`);

--
-- Limiti per la tabella `fermate`
--
ALTER TABLE `fermate`
  ADD CONSTRAINT `fermate_ibfk_1` FOREIGN KEY (`IDViaggio`) REFERENCES `viaggio` (`IDViaggio`);

--
-- Limiti per la tabella `manutenzione`
--
ALTER TABLE `manutenzione`
  ADD CONSTRAINT `manutenzione_ibfk_1` FOREIGN KEY (`IDStato_Manutenzione`) REFERENCES `stato_manutenzione` (`IDStato_Manutenzione`),
  ADD CONSTRAINT `manutenzione_ibfk_2` FOREIGN KEY (`IDCamion`) REFERENCES `camion` (`IDCamion`);

--
-- Limiti per la tabella `rimorchi`
--
ALTER TABLE `rimorchi`
  ADD CONSTRAINT `rimorchi_ibfk_1` FOREIGN KEY (`IDTipologia_Rimorchi`) REFERENCES `tipologia_rimorchi` (`IDTipologia_Rimorchi`);

--
-- Limiti per la tabella `utente`
--
ALTER TABLE `utente`
  ADD CONSTRAINT `fk_ruolo` FOREIGN KEY (`IDRuolo`) REFERENCES `ruolo` (`IDRuolo`) ON DELETE CASCADE,
  ADD CONSTRAINT `utente_ibfk_1` FOREIGN KEY (`IDRuolo`) REFERENCES `ruolo` (`IDRuolo`);

--
-- Limiti per la tabella `viaggio`
--
ALTER TABLE `viaggio`
  ADD CONSTRAINT `viaggio_ibfk_1` FOREIGN KEY (`IDStato_Viaggio`) REFERENCES `stato_viaggio` (`IDStato_Viaggio`),
  ADD CONSTRAINT `viaggio_ibfk_2` FOREIGN KEY (`IDCamion`) REFERENCES `camion` (`IDCamion`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
