<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Modifica Viaggi</title>
    <link rel="stylesheet" type="text/css" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Amministratore/Immagini_Amministratore/logo.png">
</head>
<body>
<header>
   <a href="https://truckmanagement.altervista.org/Lato_Amministratore/Amministratore/Area_Amministratore.html"><button class="bottone_home primary">Home</button></a>
    <h1>Modifica Viaggi</h1>
    <img id="logo" src="../../Lato_Amministratore/Immagini_Amministratore/logo.png" alt="Logo">
</header>
<br><br><br><br><br>
    <div class="container">
            <table class="table">
                <thead>
                    <tr>
                        <th>Destinazione</th>
                        <th>Data Partenza</th>
                        <th>Ora Partenza</th>
                        <th>Data Arrivo</th>
                        <th>Ora Arrivo</th>
                        <th>Kilometri percorrere</th>
                        <th>Costo Previsto</th>
                        <th>Camion</th>
                        <th>Azioni</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    // Connessione al database
                    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
                    if ($conn->connect_error) {
                        die("Connessione al database fallita: " . $conn->connect_error);
                    }

                    // Query per recuperare i dati dei viaggi
                    $sql = "SELECT viaggio.IDViaggio, viaggio.Destinazione, DATE_FORMAT(viaggio.Data_Partenza,'%d/%m/%Y') AS Data_Partenza, viaggio.Ora_Partenza, DATE_FORMAT(viaggio.Data_Arrivo,'%d/%m/%Y') AS Data_Arrivo, viaggio.Ora_Arrivo, viaggio.Kilometri_percorrere, viaggio.Costo_Previsto, camion.Modello
                            FROM viaggio
                            INNER JOIN camion ON viaggio.IDCamion = camion.IDCamion
                            ORDER BY viaggio.Data_Partenza ASC";
                    $result = $conn->query($sql);

                    if ($result->num_rows > 0) {
                        // Stampa le righe della tabella con i dati dei viaggi
                        while ($row = $result->fetch_assoc()) {
                            echo "<tr>";
                            echo "<td>{$row['Destinazione']}</td>";
                            echo "<td>{$row['Data_Partenza']}</td>";
                            echo "<td>{$row['Ora_Partenza']}</td>";
                            echo "<td>{$row['Data_Arrivo']}</td>";
                            echo "<td>{$row['Ora_Arrivo']}</td>";
                            echo "<td>{$row['Kilometri_percorrere']}</td>";
                            echo "<td>{$row['Costo_Previsto']}</td>";
                            echo "<td>{$row['Modello']}</td>";
                            echo "<td><a href='Interroga.php?id={$row['IDViaggio']}'><button class='button primary'>Modifica</button></a></td>";
                            echo "</tr>";
                        }
                    } else {
                        echo "<tr><td colspan='9'>Nessun viaggio trovato.</td></tr>";
                    }

                    // Chiusura della connessione al database
                    $conn->close();
                    ?>
                </tbody>
            </table>
        </div>
    </div>
</body>
</html>
