<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inserimento Camion</title>
    <link rel="stylesheet" type="text/css" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Amministratore/Immagini_Amministratore/logo.png">
</head>
<body>
   <header>
    <a href="https://truckmanagement.altervista.org/Lato_Amministratore/Amministratore/Area_Amministratore.html"><button class="bottone_home primary">Home</button></a>

    <h1>Inserimento Camion</h1>
    <img id="logo" src="../../Lato_Amministratore/Immagini_Amministratore/logo.png" alt="Logo">
   </header>
   <br><br><br><br><br>
   <div class="container">
       <?php
       // Controllo se il metodo della richiesta è POST
       if ($_SERVER["REQUEST_METHOD"] == "POST") {
       // Connessione al database
           $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
           if ($conn->connect_errno) {
               echo "Impossibile connettersi al server: " . $conn->connect_error;
               exit;
           }

// Recupero dei dati inviati dal modulo
           $Targa = $_POST['Targa'];
           $Modello = $_POST['Modello'];
           $IDRimorchio = $_POST['IDRimorchio'];
           $IDUtente = $_POST['IDUtente'];

// Inserimento dei dati nella tabella camion
           $sql = "INSERT INTO camion  (Targa, Modello, IDRimorchio, IDUtente) ";
           $sql .= "VALUES ('$Targa', '$Modello', '$IDRimorchio', '$IDUtente') ";
           $result = $conn->query($sql);

// Controllo del risultato dell'inserimento
           if ($result) {
               echo "<script>";
        echo "alert('Inserimento avvenuto con successo');";
        echo "setTimeout(function(){ window.location.href = 'https://truckmanagement.altervista.org/Lato_Amministratore/Amministratore/Area_Amministratore.html'; }, 1000);"; // Reindirizza alla pagina precedente dopo 3 secondi
        echo "</script>";
           } else {
                echo "<script>";
                  echo "alert('Errore nell\'inserimento. Si prega di riprovare più tardi.');";
                  echo "</script>";
           }
           // Chiusura della connessione al database 
           $conn->close();
       }
       ?>
       <!-- Modulo per per l'inserimento dei dati del camion -->
       <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
           <table class="table" align="center">
               <tr>
                   <th><label for="Targa">Targa Camion:</label></th>
                   <th><label for="Modello">Modello Camion:</label></th>
                   <th><label for="IDRimorchio">Targa Rimorchio:</label></th>
                   <th><label for="IDUtente">Nome Autista:</label></th>
               </tr>
               <tr>
                   <td><input type="text" id="Targa" name="Targa"></td>
                   <td><input type="text" id="Modello" name="Modello"></td>
                   <td>
                          <select id="IDRimorchio" name="IDRimorchio">
                          <?php
                          // Connessione al database
$conn = new mysqli("localhost", "root", "", "my_truckmanagement");
if ($conn->connect_errno) {
    echo "Impossibile connettersi al server: " . $conn->connect_error;
    exit;
}

// Query per ottenere i rimorchi disponibili
$sql = "SELECT rimorchi.Targa_Rimorchio, tipologia_rimorchi.Tipo_Rimorchio, rimorchi.IDRimorchio
        FROM rimorchi 
        JOIN tipologia_rimorchi ON rimorchi.IDTipologia_Rimorchi = tipologia_rimorchi.IDTipologia_Rimorchi 
        LEFT JOIN camion ON rimorchi.IDRimorchio = camion.IDRimorchio
        WHERE camion.IDRimorchio IS NULL";
$result = $conn->query($sql);

// Popolamento del menu a tendina con i rimorchi disponibili
if ($result->num_rows > 0) {
    while($row = $result->fetch_assoc()) {
        echo "<option value='" . $row['IDRimorchio'] . "'>" . $row['Targa_Rimorchio'] . "</option>"; // Utilizza l'IDRimorchio come valore
    }
} else {
    echo "<option value=''>Nessun rimorchio disponibile</option>";
}

// Chiusura della connessione al database
$conn->close();
?>

                       </select>
                   </td>
<td>
 <select id="IDUtente" name="IDUtente">
                 <?php
                 // Connessione al database
$conn = new mysqli("localhost", "root", "", "my_truckmanagement");
if ($conn->connect_errno) {
    echo "Impossibile connettersi al server: " . $conn->connect_error;
    exit;
}

// Query per ottenere gli autisti disponibili
$sql = "SELECT CONCAT(utente.Nome, ' ', utente.Cognome) AS Nominativo, utente.IDUtente
        FROM utente
        LEFT JOIN camion ON utente.IDUtente = camion.IDUtente
        LEFT JOIN viaggio ON camion.IDCamion = viaggio.IDCamion
        WHERE camion.IDCamion IS NULL AND utente.IDRuolo = 1";
$result = $conn->query($sql);

// Popolamento del menu a tendina con gli autisti disponibili
if ($result->num_rows > 0) {
    while($row = $result->fetch_assoc()) {
        echo "<option value='" . $row['IDUtente'] . "'>" . $row['Nominativo'] . "</option>";
    }
} else {
    echo "<option value=''>Nessun autista disponibile</option>";
}

// Chiusura della connessione al database 
$conn->close();
?>

                       </select>
                   </td>

               </tr>
               <tr>
                   <td colspan="9" align="center">
                       <input type="submit" class="button2 primary" value="Invia">
                       <input type="reset" class="button primary" value="Reset">
                   </td>
               </tr>
           </table>
       </form>
   </div>
</body>
</html>