<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inserimento Viaggio</title>
    <link rel="stylesheet" type="text/css" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Amministratore/Immagini_Amministratore/logo.png">
</head>
<body>
   <header>
   <a href="https://truckmanagement.altervista.org/Lato_Amministratore/Amministratore/Area_Amministratore.html"><button class="bottone_home primary">Home</button></a>
    <h1>Inserimento Viaggio</h1>
    <img id="logo" src="../../Lato_Amministratore/Immagini_Amministratore/logo.png" alt="Logo">
   </header>
   <br><br><br><br><br>
   <div class="container">
      <?php
    // Controllo se il metodo della richiesta è POST  
if ($_SERVER["REQUEST_METHOD"] == "POST") {
   // Connessione al database
    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
    if ($conn->connect_errno) {
        echo "Impossibile connettersi al server: " . $conn->connect_error;
        exit;
    }

 // Recupero dei dati inviati dal modulo
    $Destinazione = $_POST['Destinazione'];
    $Data_Partenza = $_POST['Data_Partenza'];
    $Ora_Partenza = $_POST['Ora_Partenza'];
    $Data_Arrivo = $_POST['Data_Arrivo'];
    $Ora_Arrivo = $_POST['Ora_Arrivo'];
    $Kilometri_percorrere = $_POST['Kilometri_percorrere'];
    $IDStato_Viaggio = $_POST['IDStato_Viaggio'];
    $Costo_Previsto = $_POST['Costo_Previsto'];
    $IDCamion = $_POST['IDCamion'];

   // Inserimento dei dati nella tabella viaggio
    $sql = "INSERT INTO viaggio  (Destinazione, Data_Partenza, Ora_Partenza, Data_Arrivo, Ora_Arrivo, Kilometri_percorrere, IDStato_Viaggio, Costo_Previsto, IDCamion) ";
    $sql .= "VALUES ('$Destinazione', '$Data_Partenza', '$Ora_Partenza', '$Data_Arrivo', '$Ora_Arrivo', '$Kilometri_percorrere', '$IDStato_Viaggio', '$Costo_Previsto', '$IDCamion') ";
    $result = $conn->query($sql);

  // Controllo del risultato dell'inserimento
    if ($result) {
        echo "<script>";
        echo "alert('Inserimento avvenuto con successo');";
        echo "setTimeout(function(){ window.location.href = 'https://truckmanagement.altervista.org/Lato_Amministratore/Amministratore/Area_Amministratore.html'; }, 1000);"; // Reindirizza alla pagina precedente dopo 3 secondi
        echo "</script>";
    } else {
        echo "<script>";
        echo "alert('Errore nell\'inserimento: " . $conn->error . "');";
        echo "</script>";
    }
    // Chiusura della connessione al database
    $conn->close();
}
?>
  <!-- Modulo per l'inserimento dei dati del viaggio -->
       <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
           <table class="table" align="center">
               <tr>
                <!-- Intestazioni delle colonne del modulo -->
                   <th><label for="Destinazione">Destinazione:</label></th>
                   <th><label for="Data_Partenza">Data Partenza:</label></th>
                   <th><label for="Ora_Partenza">Ora Partenza:</label></th>
                   <th><label for="Data_Arrivo">Data Arrivo:</label></th>
                   <th><label for="Ora_Arrivo">Ora Arrivo:</label></th>
                   <th><label for="Kilometri_percorrere">Kilometri da percorrere:</label></th>
                   <th><label for="IDStato_Viaggio">Descrizione Stato Viaggio:</label></th>
                   <th><label for="Costo_Previsto">Costo Previsto:</label></th>
                   <th><label for="IDCamion">Modello:</label></th>
               </tr>
               <tr>
                  <!-- Campi di input per i dati del viaggio -->
                   <td><input type="text" id="Destinazione" name="Destinazione"></td>
                   <td><input type="date" id="Data_Partenza" name="Data_Partenza"></td>
                   <td><input type="time" id="Ora_Partenza" name="Ora_Partenza"></td>
                   <td><input type="date" id="Data_Arrivo" name="Data_Arrivo"></td>
                   <td><input type="time" id="Ora_Arrivo" name="Ora_Arrivo"></td>
                   <td><input type="number" id="Kilometri_percorrere" name="Kilometri_percorrere"></td>
                   <td>
                       <select id="IDStato_Viaggio" name="IDStato_Viaggio">
                           <option value="1">Fermo</option>
                       </select>
                   </td>
                   <td><input type="text" id="Costo_Previsto" name="Costo_Previsto"></td>
                   <td>
    <select id="IDCamion" name="IDCamion">
        <?php
         // Connessione al database
        $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
        if ($conn->connect_errno) {
            echo "Impossibile connettersi al server: " . $conn->connect_error;
            exit;
        }

 // Query per ottenere i camion disponibili
        $sql = "SELECT c.IDCamion, c.Modello 
FROM camion c 
LEFT JOIN viaggio v ON c.IDCamion = v.IDCamion 
LEFT JOIN stato_viaggio sv ON v.IDStato_Viaggio = sv.IDStato_Viaggio 
WHERE sv.Descrizione_Stato_Viaggio IS NULL OR sv.Descrizione_Stato_Viaggio = 'Concluso'";
        $result = $conn->query($sql);

// Popolamento del menu a tendina con i camion disponibili
        if ($result->num_rows > 0) {
            while($row = $result->fetch_assoc()) {
                echo "<option value='" . $row['IDCamion'] . "'>" . $row['Modello'] . "</option>";
            }
        } else {
            echo "<option value=''>Nessun camion disponibile</option>";
        }
        // Chiusura della connessione al database
        $conn->close();
        ?>
    </select>
</td>

               </tr>
               <tr>
                   <td colspan="9" align="center">
                       <input type="submit" class="button2 primary" value="Invia">
                       <input type="reset" class="button primary" value="Reset">
                   </td>
               </tr>
           </table>
       </form>
   </div>
</body>
</html>
