<?php
session_start();

// Verifica se l'utente ha effettuato l'accesso e ha un IDUtente valido
if (!isset($_SESSION['IDUtente'])) {
    // Se l'utente non è loggato, reindirizzalo alla pagina di login o ad un'altra pagina appropriata
    header("Location: Accesso.php");
    exit(); // Assicura che il codice successivo non venga eseguito dopo il reindirizzamento
}

// Connessione al database
$conn = new mysqli("localhost", "root", "", "my_truckmanagement");
if ($conn->connect_error) {
    die("Connessione al database fallita: " . $conn->connect_error);
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Verifica se tutti i campi necessari sono stati forniti
    if (isset($_POST['id_fermata']) && isset($_POST['luogo_fermata']) && isset($_POST['motivo']) && isset($_POST['tempo_fermata'])) {
        // Esegue l'aggiornamento della fermata nel database
        $id_fermata = $_POST['id_fermata'];
        $luogo_fermata = $_POST['luogo_fermata'];
        $motivo = $_POST['motivo'];
        $tempo_fermata = $_POST['tempo_fermata'];

        $sql = "UPDATE fermate SET Luoghi_Fermate='$luogo_fermata', Motivo='$motivo', Tempo_Fermata='$tempo_fermata' WHERE IDFermate=$id_fermata";

        if ($conn->query($sql) === TRUE) {
            echo "Fermata aggiornata con successo";
        } else {
            echo "Errore durante l'aggiornamento della fermata: " . $conn->error;
        }
    } else {
        echo "Si è verificato un errore durante il recupero dei dati dalla richiesta POST.";
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Aggiornamento Fermata</title>
    <link rel="stylesheet" type="text/css" href="unico_stile.css">
</head>
<body>
<header>
    <a href="https://truckmanagement.altervista.org/Lato_Autista/Area_Autista/Area_Autista.html"><button class="bottone_home primary">Home</button></a>
    <h1>Aggiornamento Fermata</h1>
    <img id="logo" src="../../Lato_Autista/Immagini_Autista/logo.png" alt="Logo">
</header>
<br><br><br><br><br>
<div class="container">
    <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
        <input type="hidden" name="id_fermata" value="<?php echo $_GET['id']; ?>">
        <label for="luogo_fermata">Luogo Fermata:</label><br>
        <input type="text" id="luogo_fermata" name="luogo_fermata" required><br>
        <label for="motivo">Motivo:</label><br>
        <input type="text" id="motivo" name="motivo" required><br>
        <label for="tempo_fermata">Tempo Fermata:</label><br>
        <input type="time" id="tempo_fermata" name="tempo_fermata" required><br><br>
        <input type="submit" value="Aggiorna Fermata">
    </form>
</div>
</body>
</html>
