<?php
session_start();

// Verifica se l'utente ha effettuato l'accesso e ha un IDUtente valido
if (!isset($_SESSION['IDUtente'])) {
    // Se l'utente non è loggato, reindirizzalo alla pagina di login o ad un'altra pagina appropriata
    header("Location: Accesso.php");
    exit(); // Assicura che il codice successivo non venga eseguito dopo il reindirizzamento
}

// Connessione al database
$conn = new mysqli("localhost", "root", "", "my_truckmanagement");
if ($conn->connect_error) {
    die("Connessione al database fallita: " . $conn->connect_error);
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Verifica se tutti i campi necessari sono stati forniti
    if (isset($_POST['id_fermata']) && isset($_POST['luogo_fermata']) && isset($_POST['motivo']) && isset($_POST['tempo_fermata'])) {
        // Esegue l'aggiornamento della fermata nel database
        $id_fermata = $_POST['id_fermata'];
        $luogo_fermata = $_POST['luogo_fermata'];
        $motivo = $_POST['motivo'];
        $tempo_fermata = $_POST['tempo_fermata'];

        $sql = "UPDATE fermate SET Luoghi_Fermate='$luogo_fermata', Motivo='$motivo', Tempo_Fermata='$tempo_fermata' WHERE IDFermate=$id_fermata";

        if ($conn->query($sql) === TRUE) {
            echo "<script>";
                echo "alert('Fermata aggiornata con successo');";
                echo "setTimeout(function(){ window.location.href = 'https://truckmanagement.altervista.org/Lato_Autista/Area_Autista/Area_Autista.html'; }, 1000);"; // Reindirizza alla pagina precedente dopo 3 secondi
                echo "</script>";
        } else {
                echo "<script>";
                  echo "alert('Errore nell\'aggiornamento. Si prega di riprovare più tardi.');";
                  echo "</script>";
           }
           $conn->close();
    } else {
        echo "Si è verificato un errore durante il recupero dei dati dalla richiesta POST.";
    }
}

// Recupera l'ID della fermata dalla query string
$id_fermata = $_GET['id'];

// Query SQL per ottenere i dettagli della fermata
$sql_fermata = "SELECT * FROM fermate WHERE IDFermate = $id_fermata";
$result_fermata = $conn->query($sql_fermata);

if ($result_fermata->num_rows > 0) {
    $row_fermata = $result_fermata->fetch_assoc();
    $luogo_fermata = $row_fermata['Luoghi_Fermate'];
    $motivo = $row_fermata['Motivo'];
    $tempo_fermata = $row_fermata['Tempo_Fermata'];
} else {
    echo "Nessuna fermata trovata con ID: $id_fermata";
}

// Chiudere la connessione al database
$conn->close();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Aggiornamento Fermata</title>
    <link rel="stylesheet" type="text/css" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Autista/Immagini_Autista/logo.png">
</head>
<body>
<header>
    <a href="https://truckmanagement.altervista.org/Lato_Autista/Area_Autista/Area_Autista.html"><button class="bottone_home primary">Home</button></a>
    <h1 class="header-title">Aggiornamento Fermata</h1>
    <img id="logo" src="../../Lato_Autista/Immagini_Autista/logo.png" alt="Logo">
</header>
<br><br><br><br><br>
<div class="container">
    <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
        <input type="hidden" name="id_fermata" value="<?php echo $id_fermata; ?>">
        <table class="table">
            <tr>
                <th>Luogo Fermata:</th>
                <th>Motivo:</th>
                <th>Tempo Fermata:</th>
                </tr>
                <tr>
                <td><input type="text" name="luogo_fermata" value="<?php echo $luogo_fermata; ?>" required></td>
                 <td><input type="text" name="motivo" value="<?php echo $motivo; ?>" required></td>
                <td><input type="time" name="tempo_fermata" value="<?php echo $tempo_fermata; ?>" required></td>
            </tr>
        </table>
        <br>
        <input type="submit" class="button primary" value="Aggiorna Fermata" align="center">
    </form>
</div>
</body>
</html>
