<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inserimento Fermate</title>
    <link rel="stylesheet" type="text/css" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Autista/Immagini_Autista/logo.png">
</head>
<body>
   <header>
    <a href="https://truckmanagement.altervista.org/Lato_Autista/Area_Autista/Area_Autista.html"><button class="bottone_home primary">Home</button></a>

    <h1>Inserimento Fermate</h1>
    <img id="logo" src="../../Lato_Autista/Immagini_Autista/logo.png" alt="Logo">
   </header>
   <br><br><br><br><br>
   <div class="container">
       <?php
session_start(); // Avvio della sessione
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
    if ($conn->connect_errno) {
        echo "Impossibile connettersi al server: " . $conn->connect_error;
        exit;
    }
    
    // Verifica che l'IDUtente sia disponibile nella sessione
    $IDUtente = $_SESSION['IDUtente'];

    // Ottenere l'IDCamion associato all'utente dalla tabella camion
    $sql_camion = "SELECT IDCamion FROM camion WHERE IDUtente = $IDUtente";
    $result_camion = $conn->query($sql_camion);
    if ($result_camion->num_rows > 0) {
        $row_camion = $result_camion->fetch_assoc();
        $IDCamion = $row_camion['IDCamion'];

        // Ottenere l'IDViaggio corrispondente all'IDCamion dalla tabella viaggio
        $sql_viaggio = "SELECT IDViaggio FROM viaggio WHERE IDCamion = $IDCamion";
        $result_viaggio = $conn->query($sql_viaggio);
        if ($result_viaggio->num_rows > 0) {
            $row_viaggio = $result_viaggio->fetch_assoc();
            $IDViaggio = $row_viaggio['IDViaggio'];

            // Inserire la fermata con l'IDViaggio ottenuto
            $Luoghi_Fermate = $_POST['Luoghi_Fermate'];
            $Motivo = $_POST['Motivo'];
            $Tempo_Fermata = $_POST['Tempo_Fermata'];

            $sql_insert = "INSERT INTO fermate (Luoghi_Fermate, Motivo, Tempo_Fermata, IDViaggio) ";
            $sql_insert .= "VALUES ('$Luoghi_Fermate', '$Motivo', '$Tempo_Fermata', '$IDViaggio')";
            $result_insert = $conn->query($sql_insert);

            if ($result_insert) {
                echo "<script>";
                echo "alert('Inserimento avvenuto con successo');";
                echo "setTimeout(function(){ window.location.href = 'https://truckmanagement.altervista.org/Lato_Autista/Area_Autista/Area_Autista.html'; }, 1000);"; // Reindirizza alla pagina precedente dopo 3 secondi
                echo "</script>";
            } else {
                echo "<script>";
                echo "alert('Errore nell\'inserimento. Si prega di riprovare più tardi.');";
                echo "</script>";
            }
        } else {
            echo "<script>";
            echo "alert('Nessun viaggio trovato per questo utente.')";
            echo "</script>";
        }
    } else {
        echo "<script>";
        echo "alert('Nessun camion associato a questo utente.')";
        echo "</script>";
    }
    $conn->close();
}
?>

       <!-- Assumendo che $IDViaggio sia già stato definito precedentemente -->
       <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
           <input type="hidden" id="IDViaggio" name="IDViaggio" value="<?php echo $_SESSION['IDViaggio']; ?>">
           <table class="table" align="center">
               <tr>
                   <th><label for="Luoghi_Fermate">Luogo Fermata:</label></th>
                   <th><label for="Motivo">Motivo:</label></th>
                   <th><label for="Tempo_Fermata">Tempo Fermata:</label></th>
               </tr>
               <tr>
                   <td><input type="text" id="Luoghi_Fermate" name="Luoghi_Fermate"></td>
                   <td><input type="text" id="Motivo" name="Motivo"></td>
                   <td><input type="time" id="Tempo_Fermata" name="Tempo_Fermata"></td>
               </tr>
               <tr>
                   <td colspan="3" align="center">
                       <input type="submit" class="button2 primary" value="Invia">
                       <input type="reset" class="button primary" value="Reset">
                   </td>
               </tr>
               <td colspan="4" align="center">
        N.B. Se si vogliono inserire più fermate metterne una per volta
    </td>
           </table>
       </form>
   </div>
</body>
</html>
