<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inserimento Manutenzione</title>
    <link rel="stylesheet" type="text/css" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Autista/Immagini_Autista/logo.png">
</head>
<body>
   <header>
    <a href="https://truckmanagement.altervista.org/Lato_Autista/Area_Autista/Area_Autista.html"><button class="bottone_home primary">Home</button></a>

    <h1>Inserimento Manutenzione</h1>
    <img id="logo" src="../../Lato_Amministratore/Immagini_Amministratore/logo.png" alt="Logo">
   </header>
   <br><br><br><br><br>
   <div class="container">
       <?php
session_start(); // Inizia la sessione

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Memorizza l'IDUtente selezionato nella sessione
    $_SESSION['IDUtente'] = $_POST['IDUtente'];
}

$conn = new mysqli("localhost", "root", "", "my_truckmanagement");
if ($conn->connect_errno) {
    echo "Impossibile connettersi al server: " . $conn->connect_error;
    exit;
}

// Recupera l'IDUtente dalla sessione
$IDUtente = $_SESSION['IDUtente'] ?? null;

// Verifica se la query per recuperare i camion è già stata eseguita in questa sessione
if (!isset($_SESSION['camion'])) {
    // Esegui la query solo se non è stata già eseguita
    $sql = "SELECT camion.IDCamion, camion.Targa, camion.Modello 
            FROM camion
            LEFT JOIN manutenzione ON camion.IDCamion = manutenzione.IDCamion 
            WHERE camion.IDUtente = '$IDUtente'
            AND (manutenzione.IDCamion IS NULL OR manutenzione.IDStato_Manutenzione != 3)";

    $result = $conn->query($sql);

    // Memorizza i risultati della query nella sessione per evitare di eseguirla nuovamente
    $_SESSION['camion'] = $result;
} else {
    // Se la query è già stata eseguita, recuperare i risultati dalla sessione
    $result = $_SESSION['camion'];
}

// Verifica se vengono inviati correttamente i dati POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Inserisci i dati nella tabella manutenzione solo se tutti i campi sono stati compilati
    if(isset($_POST['Descrizione'], $_POST['Data_Inizio'], $_POST['Data_Fine'], $_POST['IDCamion'])) {
        $Descrizione = $_POST['Descrizione'];
        $Data_Inizio = $_POST['Data_Inizio'];
        $Data_Fine = $_POST['Data_Fine'];
        $IDCamion = $_POST['IDCamion'];

        // Query per l'inserimento dei dati nella tabella 'manutenzione'
        $sql_insert = "INSERT INTO manutenzione (Descrizione, Data_Inizio, Data_Fine, IDStato_Manutenzione, IDCamion) ";
        $sql_insert .= "VALUES ('$Descrizione', '$Data_Inizio', '$Data_Fine', 1, '$IDCamion')"; // 1 è l'ID dello stato "Fermo"

        if ($conn->query($sql_insert) === TRUE) {
            echo "<script>";
            echo "alert('Inserimento avvenuto con successo');";
            echo "setTimeout(function(){ window.location.href = 'https://truckmanagement.altervista.org/Lato_Autista/Area_Autista/Area_Autista.html'; }, 1000);"; // Reindirizza alla pagina precedente dopo 3 secondi
            echo "</script>";
        } else {
            echo "<script>";
            echo "alert('Errore nell\'inserimento. Si prega di riprovare più tardi.')";
            echo "</script>";
            echo "Error: " . $sql_insert . "<br>" . $conn->error;
        }
    } else {
        echo "<script>";
        echo "alert('Si prega di compilare tutti i campi.');";
        echo "</script>";
    }
}
$conn->close();
?>

       <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
           <table class="table" align="center">
               <tr>
                   <th><label for="Descrizione">Descrizione:</label></th>
                   <th><label for="Data_Inizio">Data Inizio:</label></th>
                   <th><label for="Data_Fine">Data Fine:</label></th>
                   <th><label for="IDCamion">Camion:</label></th>
               </tr>
               <tr>
                   <td><input type="text" id="Descrizione" name="Descrizione"></td>
                   <td><input type="date" id="Data_Inizio" name="Data_Inizio" value="<?php echo date('Y-m-d'); ?>"></td>
                   <td><input type="date" id="Data_Fine" name="Data_Fine" value="<?php echo date('Y-m-d'); ?>"></td>
                   <td>
                       <select id="IDCamion" name="IDCamion">
    <?php
    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            echo "<option value='" . $row['IDCamion'] . "'>" . $row['Targa'] . " - " . $row['Modello'] . "</option>";
        }
    } else {
        echo "<option value=''>Nessun camion affidato o camion in manutenzione ATTENDI!!</option>";
    }
    ?>
                       </select>
                   </td>
               </tr>
               <tr>
    <td colspan="4" align="center">
        <input type="submit" class="button2 primary" value="Invia">
        <input type="reset" class="button primary" value="Reset">
    </td>
</tr>
<tr>
    <td colspan="4" align="center">
        N.B. la modifica della Data di fine manutenzione spetta al meccanico
    </td>
</tr>

           </table>
       </form>
   </div>
</body>
</html>
