<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Fermate</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Autista/Immagini_Autista/logo.png">
</head>
<body>

<header>
  <a href="https://truckmanagement.altervista.org/Lato_Autista/Area_Autista/Area_Autista.html"><button class="bottone_home primary">Home</button></a>
    <h1>Visualizzazione Fermate</h1>
   <img id="logo" src="../../Lato_Autista/Immagini_Autista/logo.png" alt="Logo">
</header>
<br><br><br><br>
<div class="container">
<?php
session_start(); // Inizia la sessione

// Controlla se l'utente è loggato, altrimenti reindirizza alla pagina di login
if(!isset($_SESSION['IDUtente'])) {
    header("Location: login.php");
    exit();
}

// Connessione al database
$conn = new mysqli("localhost", "root", "", "my_truckmanagement");
if ($conn->connect_errno) {
    echo "Errore di connessione al database: " . $conn->connect_error;
    exit;
}

// Query per selezionare le fermate dell'utente corrente
$sql = "SELECT fermate.IDFermate, Luoghi_Fermate, Motivo, Tempo_Fermata, viaggio.Destinazione 
        FROM fermate 
        INNER JOIN viaggio ON fermate.IDViaggio = viaggio.IDViaggio
        INNER JOIN camion ON viaggio.IDCamion = camion.IDCamion
        WHERE camion.IDUtente = " . $_SESSION['IDUtente'];

$result = $conn->query($sql);

if (!$result) {
    echo "Errore nella query: " . $conn->error;
    exit;
}

$conta = $result->num_rows;

if ($conta > 0) {
    echo "<table class='table'>";
    echo "<tr>";
    echo "<th>Luoghi Fermate</th>"; 
    echo "<th>Motivo</th>"; 
    echo "<th>Tempo Fermata</th>"; 
    echo "<th>Destinazione</th>"; 
    echo "<th>Azioni</th>";
    echo "</tr>";

    while ($row = $result->fetch_assoc()) {
        echo "<tr>";
        echo "<td>" . $row['Luoghi_Fermate'] . "</td>";
        echo "<td>" . $row['Motivo'] . "</td>";
        echo "<td>" . $row['Tempo_Fermata'] . "</td>";
        echo "<td>" . $row['Destinazione'] . "</td>";
        echo "<td><form action='Cancellazione_Fermate.php' method='post' onsubmit=\"return confirm('Sei sicuro di voler cancellare questa fermata?');\">
                <input type='hidden' name='IDFermate' value='" . $row['IDFermate'] . "'>
                <input type='submit' class='button secondary' value='Cancella'>
              </form></td>";
        echo "</tr>";
    }

    echo "</table>";
    $result->free();
} else {
    echo "<br><br><br><br><b>Non ci sono fermate!</b>";
}

$conn->close();
?>
</div>

</body>
</html>
