<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Visualizzazione Rimorchio</title>
    <link rel="stylesheet" href="unico_stile.css">
    <link rel="website icon" type="png" href="../../Lato_Responsabile_della_Sicurezza/Immagini_Responsabile_della_Sicurezza/logo.png">
</head>
<body>

<header>
  <a href="https://truckmanagement.altervista.org/Lato_Responsabile_della_Sicurezza/Area_Responsabile_della_Sicurezza/Lato_Responsabile_della_Sicurezza.html"><button class="bottone_home primary">Home</button></a>
    <h1>Visualizzazione Rimorchio</h1>
   <img id="logo" src="../../Lato_Responsabile_della_Sicurezza/Immagini_Responsabile_della_Sicurezza/logo.png" alt="Logo">
</header>
<br><br><br><br>
<div class="container">
    <?php
    // Connessione al database
    $conn = new mysqli("localhost", "root", "", "my_truckmanagement");
    if ($conn->connect_errno) {
        echo "Impossibile connettersi al server!";
        exit;
    }

// Query SQL per ottenere i dati dei rimorchi 
   $sql = "SELECT rimorchi.IDRimorchio, rimorchi.Targa_Rimorchio, tipologia_rimorchi.Tipo_Rimorchio 
           FROM rimorchi, tipologia_rimorchi 
           WHERE rimorchi.IDTipologia_Rimorchi = tipologia_rimorchi.IDTipologia_Rimorchi;";

// Esecuzione della query
    $result = $conn->query($sql);
    $conta = $result->num_rows;
    if ($conta > 0) {
    // Creazione della tabella
        echo "<table class='table'>"; // Utilizzo della classe 'table' per le tabelle
        echo "<tr>";
        echo "<th>Targa Rimorchio</th>";
        echo "<th>Tipo Rimorchio</th>"; 
        echo "</tr>";

// Popolamento della tabella con i dati della query
        while ($row = $result->fetch_assoc()) {
            echo "<tr>";
            echo "<td>" . $row['Targa_Rimorchio'] . "</td>";
            echo "<td>" . $row['Tipo_Rimorchio'] . "</td>";
            echo "</tr>";
        }

        echo "</table>";
        $result->free();
    } else {
        echo "<br><br><br><br><b>Non ci sono rimorchi!</b>";
    }

// Chiusura della connessione
    $conn->close();
    ?>
</div>

</body>
</html>
